Subject: Re: bug#27333: URL History can't handle records

From: [email-masked]
Date: Wed, 28 Jun 2017 07:42:02 -0400

tags 27333 fixed
close 27333
quit

Ian Dunn <[email-masked]> writes:

> Since the change to records a few months ago, I've seen a bug with `url-history-save-history'.  When I try to run it, I see:
>
> Error running timer ‘url-history-save-history’: (wrong-type-argument stringp #s(url "https" nil nil "duckduckgo.com" nil "/html/?q=emacs" nil nil t nil t))

Fixed in [1: d3a208ea8e], I decided to be a bit more specific and use `url-p' instead of `recordp'.

[1: d3a208ea8e]: 2017-06-28 07:39:05 -0400
  Don't assume url structs are vectors (Bug#27333)
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=d3a208ea8e2e3a28fb7d0e30248c7d46e13fc160>